Generate a value for a field using AI

Uses AI to generate values for one or more fields on a given entity. entityId may be a single ID or a JSON-encoded array. Requires edit permissions on the entity and sufficient AI token balance.

Path Parameters
  • fieldId
    Type: integer
    required

    A JSON-encoded list of IDs or a single field ID.

Query Parameters
  • entityModule
    Type: string
    required

    Module of field value

  • entityId
    Type: integer
    required

    Id of field value

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/field/generate/{fieldId}
curl 'https://test.boost.space/api/field/generate/1?entityModule=&entityId=1' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "name": "Sample name",
  "description": "string",
  "tooltip": "string",
  "percentUpTo100": true,
  "isLabel": "string",
  "className": "Sample className",
  "relatedEntityCfId": "string",
  "relatedValueCounterpart": true,
  "property": "string",
  "inputType": "related_entity",
  "required": true,
  "order=0": 1,
  "fieldGroups": [
    1
  ],
  "actionId": 42,
  "currencyId": 42,
  "inputOptions": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "createdUserId": 42,
      "customFieldInputId": 42,
      "label": "string",
      "value": "string",
      "color": "#1f6feb"
    }
  ],
  "remotes": [
    {
      "id": "1",
      "application": "string",
      "delete": true
    }
  ],
  "spaces": [
    1
  ],
  "inputCalculation": "string",
  "relatedCustomModuleId": 42,
  "relatedEntityProperty": "string",
  "provider": "platform",
  "providerId": 42,
  "visible": true,
  "rollupRelationInputId": 42,
  "rollupTargetInputId": 42,
  "rollupAggregation": "showOriginal",
  "aiPrompt": "string",
  "aiVoiceTone": "auto",
  "aiLength": "auto",
  "aiFormatting": "text",
  "aiCreativity": "high",
  "aiType": "auto",
  "translatable": true
}